#include <avr/io.h>
#include "portconfig.h"
#include "globals.h"

#include "fet.h"

uint8_t fet1_modes[] = 
	{
		0, 				//STAT_OFF
		0,				//STAT_ABBLEND 
		(1<<FET1_PIN),	//STAT_FERN
	};

uint8_t fet2_modes[] = 
	{
		0, 				//STAT_OFF
		(1<<FET2_PIN),	//STAT_ABBLEND 
		(1<<FET2_PIN),	//STAT_FERN
	};

/***************************************************************************
 * 
 * Initialisieren
 * 
 ***************************************************************************/
void fetInitialize(void)
{
	//Pins als Output setzen
	FET_DDR = ((1<<FET1_PIN)|(1<<FET2_PIN));
	//FETs erstmal LOW setzen
	FET_PORT &= ~((1 << FET1_PIN) | (1 << FET2_PIN));
}

void fetSetOutput()
{		 	
	FET_PORT = (fet1_modes[controllerstatus]|fet2_modes[controllerstatus]);
}

