#include <avr/io.h>
#include <avr/eeprom.h>
#include <avr/interrupt.h>
#include <inttypes.h>

// alle Textstellen EEMEM im Quellcode durch __attribute__ ... ersetzen

// EEMEM ist mglw. schon in in eeprom.h definiert 
// (neuere Versionen der avr-libc)
// hier: definiere falls noch nicht bekannt ("alte" avr-libc)
#ifndef EEMEM
#define EEMEM  __attribute__ ((section (".eeprom")))
#endif

/* Byte */
uint8_t eeFooByte EEMEM;

/* Word */
uint16_t eeFooWord EEMEM;


