#include <avr/io.h>
#include <inttypes.h>

#ifndef F_CPU
	#define F_CPU 100000UL     /* Quarz mit 1 Mhz  */
#endif

#include <avr/delay.h>      /* definiert _delay_ms() ab avr-libc Version 1.2.0 */

#include "led.h"



uint8_t selftest_sequence[] = 
	{
		(1<<LED_STAT_ON),
		(1<<LED_STAT_ON),
		(1<<LED_STAT_ON),
		(1<<LED_STAT_ON),		
		0,
		0,
		(1<<LED_PWR_ON),
		(1<<LED_PWR_ON),
		(1<<LED_PWR_ON),
		(1<<LED_PWR_ON),
		0,
		0,  
		(1<<LED_STAT_ON),
		(1<<LED_STAT_ON),		
		0,
		0,
		(1<<LED_PWR_ON),
		(1<<LED_PWR_ON),
		0,
		0,
		(1<<LED_STAT_ON)|(1<<LED_PWR_ON),
		0, 
		(1<<LED_STAT_ON)|(1<<LED_PWR_ON),
		0,
		(1<<LED_STAT_ON)|(1<<LED_PWR_ON),
		0,
		(1<<LED_STAT_ON)|(1<<LED_PWR_ON),
		0,
	};


void doSelfTest(void)
{
	uint8_t i=0;
	for (i=0;i<29;i++)
	{
		ledstatus = selftest_sequence[i];
		ledRefresh();
		_delay_ms(50);
	}
}
